<html>
<head>
<title>OGRE: OgreSearchOps.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreSearchOps.h File Reference</h1><code>#include &lt;string.h&gt;</code><br>
<code>#include &lt;sys/types.h&gt;</code><br>
<code>#include &lt;sys/stat.h&gt;</code><br>
<code>#include &lt;stdlib.h&gt;</code><br>
<code>#include &quot;<a class="el" href="OgrePlatform_8h-source.html">OgrePlatform.h</a>&quot;</code><br>
<code>#include &lt;dirent.h&gt;</code><br>
<code>#include &lt;unistd.h&gt;</code><br>
<code>#include &lt;fnmatch.h&gt;</code><br>

<p>
<a href="OgreSearchOps_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__finddata__t.html">_finddata_t</a></td></tr>

<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#4ef846a85ddb694043d288b6746a9876">_A_NORMAL</a>&nbsp;&nbsp;&nbsp;0x00</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#627d0ba73ada4393b872e041bee960b4">_A_RDONLY</a>&nbsp;&nbsp;&nbsp;0x01</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#323473f813bf2bc807c912831011c58e">_A_HIDDEN</a>&nbsp;&nbsp;&nbsp;0x02</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#d73476fd833652008c0d73896c8f9d5a">_A_SYSTEM</a>&nbsp;&nbsp;&nbsp;0x04</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#4a81752270bddedb014a705edc23a48b">_A_SUBDIR</a>&nbsp;&nbsp;&nbsp;0x10</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#2a05b90a3f8ec8a95a0b8cb11bb3fecc">_A_ARCH</a>&nbsp;&nbsp;&nbsp;0x20</td></tr>

<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#6efc8f0a15da3801adf6a78cd5d4d65a">_findfirst</a> (const char *pattern, struct <a class="el" href="struct__finddata__t.html">_finddata_t</a> *data)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#80eb0881b8fb527504b444e43740807c">_findnext</a> (long id, struct <a class="el" href="struct__finddata__t.html">_finddata_t</a> *data)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreSearchOps_8h.html#8aa1bbb9025019876697d9cc0d8b7286">_findclose</a> (long id)</td></tr>

</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="2a05b90a3f8ec8a95a0b8cb11bb3fecc"></a><!-- doxytag: member="OgreSearchOps.h::_A_ARCH" ref="2a05b90a3f8ec8a95a0b8cb11bb3fecc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _A_ARCH&nbsp;&nbsp;&nbsp;0x20          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSearchOps_8h-source.html#l00059">59</a> of file <a class="el" href="OgreSearchOps_8h-source.html">OgreSearchOps.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="323473f813bf2bc807c912831011c58e"></a><!-- doxytag: member="OgreSearchOps.h::_A_HIDDEN" ref="323473f813bf2bc807c912831011c58e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _A_HIDDEN&nbsp;&nbsp;&nbsp;0x02          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSearchOps_8h-source.html#l00056">56</a> of file <a class="el" href="OgreSearchOps_8h-source.html">OgreSearchOps.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4ef846a85ddb694043d288b6746a9876"></a><!-- doxytag: member="OgreSearchOps.h::_A_NORMAL" ref="4ef846a85ddb694043d288b6746a9876" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _A_NORMAL&nbsp;&nbsp;&nbsp;0x00          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSearchOps_8h-source.html#l00054">54</a> of file <a class="el" href="OgreSearchOps_8h-source.html">OgreSearchOps.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="627d0ba73ada4393b872e041bee960b4"></a><!-- doxytag: member="OgreSearchOps.h::_A_RDONLY" ref="627d0ba73ada4393b872e041bee960b4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _A_RDONLY&nbsp;&nbsp;&nbsp;0x01          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSearchOps_8h-source.html#l00055">55</a> of file <a class="el" href="OgreSearchOps_8h-source.html">OgreSearchOps.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4a81752270bddedb014a705edc23a48b"></a><!-- doxytag: member="OgreSearchOps.h::_A_SUBDIR" ref="4a81752270bddedb014a705edc23a48b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _A_SUBDIR&nbsp;&nbsp;&nbsp;0x10          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSearchOps_8h-source.html#l00058">58</a> of file <a class="el" href="OgreSearchOps_8h-source.html">OgreSearchOps.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d73476fd833652008c0d73896c8f9d5a"></a><!-- doxytag: member="OgreSearchOps.h::_A_SYSTEM" ref="d73476fd833652008c0d73896c8f9d5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _A_SYSTEM&nbsp;&nbsp;&nbsp;0x04          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSearchOps_8h-source.html#l00057">57</a> of file <a class="el" href="OgreSearchOps_8h-source.html">OgreSearchOps.h</a>.</p>

</div>
</div><p>
<hr><h2>Function Documentation</h2>
<a class="anchor" name="8aa1bbb9025019876697d9cc0d8b7286"></a><!-- doxytag: member="OgreSearchOps.h::_findclose" ref="8aa1bbb9025019876697d9cc0d8b7286" args="(long id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _findclose           </td>
          <td>(</td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>id</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="6efc8f0a15da3801adf6a78cd5d4d65a"></a><!-- doxytag: member="OgreSearchOps.h::_findfirst" ref="6efc8f0a15da3801adf6a78cd5d4d65a" args="(const char *pattern, struct _finddata_t *data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long _findfirst           </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">struct <a class="el" href="struct__finddata__t.html">_finddata_t</a> *&nbsp;</td>
          <td class="paramname"> <em>data</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="80eb0881b8fb527504b444e43740807c"></a><!-- doxytag: member="OgreSearchOps.h::_findnext" ref="80eb0881b8fb527504b444e43740807c" args="(long id, struct _finddata_t *data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _findnext           </td>
          <td>(</td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">struct <a class="el" href="struct__finddata__t.html">_finddata_t</a> *&nbsp;</td>
          <td class="paramname"> <em>data</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
